.resize {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

.resize.top {
    height: .4em;
    bottom: auto;
    cursor: n-resize;
}

.resize.bottom {
    height: .4em;
    top: auto;
    cursor: s-resize;
}

.resize.left {
    width: .4em;
    right: auto;
    cursor: w-resize;
}

.resize.right {
    width: .4em;
    left: auto;
    cursor: e-resize;
}

.resize.top.left {
    cursor: nw-resize;
}

.resize.top.right {
    cursor: ne-resize;
}

.resize.bottom.left {
    cursor: sw-resize;
}

.resize.bottom.right {
    cursor: se-resize;
}

.getClientHeight {
    opacity: 0;
    position: fixed;
    top: 0;
    height: 100%;
    width: 1px;
}